#version 330

layout (std140) uniform Matrices
{
	mat4 m_pvm;
	mat4 m_viewModel;
	mat3 m_normal;
};

layout (std140) uniform Lights
{
	vec4 l_pos;		// camera space
};

in vec4 position;	// local space
in vec3 normal;		// local space

out Data
{
	vec3 normal;
	vec3 eye;
	vec3 lightDir;
} DataOut;

//----------------------------------------------------------------
// TODO:
// 1) Pass the transformed normal, light and eye vectors to the fragment shader.
//----------------------------------------------------------------

void main()
{
	// Compute the vertex position in camera space
	vec4 pos = m_viewModel * position;

	// Pass the normal, light and eye in camera space to the fragment shader

	gl_Position = m_pvm * position;	
}